Installer - Bug #17704

Failed Feature: Puppet after fresh install
12/15/2016 10:28 PM - Jason Nance
Description
A fresh install of Katello 3.2.1 / TFM 1.13.2 yields a broken Puppet installation.

In web Ul, Infrastructure -> Smart Proxies -> my.smart.proxy.host, "Overview" tab says "Failed features" "Puppet".
The following message is on the "Logs" tab:

Disabling all modules in the group ['puppet']: following providers are not available ['puppet_prox
y_puppet_proxy_ssh']

The following options were used to setup TFM/Katello:

foreman-installer \
-—-scenario katello \
——enable-foreman-plugin-bootdisk \
——enable-foreman-plugin-discovery \
—-—enable-foreman-plugin-hooks \
—-—enable-foreman-plugin-openscap \
—-—enable-foreman-plugin-remote—-execution \
—-—enable-foreman-plugin-templates \
—-—enable-foreman-proxy-plugin-openscap \
——enable-foreman-proxy-plugin-remote—-execution—-ssh \
——certs-city 'My City' \
—-—certs-org 'My Org' \
—-—certs—-org-unit Katello \
-—certs—-state Mystate \
-—-foreman-admin-email admin@email.com \
—-—foreman-admin-password foobar \
—-—foreman-configure-epel-repo false \
——foreman-configure-scl-repo false \
——foreman-email-delivery-method sendmail \
——foreman-initial-location Lab \
——foreman-initial-organization 'My Org' \
-—foreman-ipa-authentication true \
—-—foreman-puppetrun true \
—-—-foreman-plugin-discovery—-install-images true \
—-—-foreman-proxy-manage-puppet—-group true \
——foreman-proxy-manage—-sudoersd true \
——foreman—-proxy-puppetrun-provider puppet_proxy_ssh \
——foreman-proxy-realm true \
-—foreman-proxy-realm-principal realm-proxy@DOMAIN.ORG \
—-—-foreman-proxy-templates true \
—-—foreman-proxy-tftp true \
——foreman-proxy-plugin-openscap-configure-openscap-repo \

The Puppet 3 repo was used.

05/20/2024 12




No warnings/errors were reported during installation.

Host is CentOS 7.3.

History

#1 - 12/15/2016 11:24 PM - Jason Nance

Eh, this is my misunderstanding and can be closed. | incorrectly provided this option:
--foreman-proxy-puppetrun-provider puppet_proxy_ssh
That should just be "ssh", which should have been obvious from the error message and note in the --help text. :-(

Sorry about that.

#2 - 12/16/2016 11:07 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

No problem, it happens
